using CanteenContracts.BindingModels;
using CanteenContracts.SearchModel;
using CanteenContracts.View;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CanteenContracts.BusinessLogicsContracts
{
    public interface IManagerLogic
    {
        List<ManagerViewModel>? ReadList(ManagerSearchModel? model);
        ManagerViewModel? ReadElement(ManagerSearchModel model);
        bool Create(ManagerBindingModel model);
        bool Update(ManagerBindingModel model);
    }
}
